# A 3D Renderer for Omeka S

[3D Renderer] is a module for [Omeka S] that integrates [Vue-3d-model].
Built using Vue, based on threejs.


## Install

```
cd ./modules
https://git.hangar.org/arcHIVE-tech/3Drenderer/archive/main.zip
unzip main.zip
mv renderviewer/ Render3D
```
### Omeka global settings

Add these to the `Allowed media types`

```
application/json
```

Add these to the `Allowed file extensions`

```
gltf, bin, json
```

## LISENCE
The module is released under the [MIT] License.

The 3D render feature is imported from [Vue-3d-model].


[arc-hive]: https://arc-hive.zone/
[3D Renderer]: https://git.hangar.org/arcHIVE-tech/Render3D
[Vue-3d-model]: https://github.com/hujiulong/vue-3d-model
[Omeka S]: https://omeka.org/s
[MIT]: http://opensource.org/licenses/MIT
